<?php
use CRM_Loginsecurity_ExtensionUtil as E;

class CRM_Loginsecurity_Page_LoginSecurityHistory extends CRM_Core_Page {

  public function run() {
    CRM_Utils_System::setTitle(E::ts('Access History'));

    $user_id = CRM_Core_Session::getLoggedInContactID();
    $contact_id = CRM_Utils_Request::retrieveValue('cid', 'Positive');

    // Check permissions
    if ($user_id != $contact_id) {
      // This should check ACLs, therefore will be empty if the user does not have access
      $contact = \Civi\Api4\Contact::get()
        ->addSelect('id')
        ->addWhere('id', '=', $contact_id)
        ->execute()
        ->first();

      if (empty($contact)) {
        CRM_Utils_System::permissionDenied();
      }
    }

    $result = \Civi\Api4\LoginSecurityDevice::get(FALSE)
      ->addWhere('contact_id', '=', $contact_id)
      ->addOrderBy('last_seen', 'DESC')
      ->setLimit(50)
      ->execute();

    $history = [];
    $has_country = false;

    foreach ($result as $record) {
      $record['geoip'] = CRM_Loginsecurity_BAO_LoginSecurityDevice::getGeoIP($record['ip_address'] ?? '');

      if (!empty($record['geoip'])) {
        $has_country = true;
      }

      $history[] = $record;
    }

    $this->assign('loginSecurityDevices', $history);
    $this->assign('loginSecurityHasCountry', $has_country);

    parent::run();
  }

}
